<div class="admin-client-case-folder">
  <app-content-banner [isDashboard]="false" pageName="Client Case Folder"></app-content-banner>
  <mat-card class="client-case-folder-main-card mat-elevation-z0">
    <mat-card-content>
      <mat-tab-group dynamicHeight [(selectedIndex)]="tabSelectedIndex">
        <!--Case Notes Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Case Notes</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="client-case-folder-small-box mat-elevation-z4" fxLayout="column">
                <div class="client-case-folder-container mat-elevation-z4">
                  <app-case-notes [clientData]="clientData" *ngIf="clientData.pactClientId"></app-case-notes>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
        <!--Coordinated Assessment Survey Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Coordinated Assessment Survey</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="client-case-folder-small-box mat-elevation-z4" fxLayout="column">
                <div class="client-case-folder-container mat-elevation-z4">
                  <app-coordinated-assessment-survey [capsClientId]="capsClientId" [optionUserId]="optionUserId">
                  </app-coordinated-assessment-survey>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
        <!--Previous Applications & Determinations Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Previous Applications & Determinations</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="client-case-folder-small-box mat-elevation-z4" fxLayout="column">
                <div class="client-case-folder-container mat-elevation-z4">
                  <app-previous-applications-determinations [clientData]="clientData">
                  </app-previous-applications-determinations>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
        <!--Client Documents Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Client Documents</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="client-case-folder-small-box mat-elevation-z4" fxLayout="column">
                <div class="client-case-folder-container mat-elevation-z4">
                  <app-case-client-documents [clientDocumentsData]="clientDocumentsData"></app-case-client-documents>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
        <!--VCS Referrals & Placements Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>VCS Referrals & Placements</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="client-case-folder-small-box mat-elevation-z4" fxLayout="column">
                <div class="client-case-folder-container mat-elevation-z4">
                  <app-vcs-referrals-placements [pactClientId]="pactClientId"></app-vcs-referrals-placements>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
        <!--VPS Referrals Tab-->
        <!-- <mat-tab>
          <ng-template matTabLabel>
            <span>VPS Referrals</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="client-case-folder-small-box mat-elevation-z4" fxLayout="column">
                <div class="client-case-folder-container mat-elevation-z4">
                  <app-vps-referrals></app-vps-referrals>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab> -->
      </mat-tab-group>
    </mat-card-content>
    <div class="content-main">
      <div class="content-sub">
        <div class="content-sub-button-parent-right">
          <button type="button" mat-raised-button color="primary" (click)="previousTab()" matTooltip="Previous"
            matTooltipClass="pact-tooltip" *ngIf="tabSelectedIndex !== 0">Previous</button>
          &nbsp;&nbsp;
          <button type="button" mat-raised-button color="primary" (click)="nextTab()" matTooltip="Next"
            matTooltipClass="pact-tooltip" *ngIf="tabSelectedIndex !== 4">Next</button>
            <!-- <button type="button" mat-raised-button color="primary" (click)="nextTab()" matTooltip="Next"
            matTooltipClass="pact-tooltip" *ngIf="tabSelectedIndex !== 5">Next</button> -->
        </div>
      </div>
    </div>
  </mat-card>
</div>